[youtubei.js](../../../README.md) / [Helpers](../README.md) / observe

# Function: observe()

> **observe**\<`T`\>(`obj`): [`ObservedArray`](../type-aliases/ObservedArray.md)\<`T`\>

Creates an observed array that provides additional utility methods for array manipulation and filtering.

## Type Parameters

• **T** *extends* [`YTNode`](../classes/YTNode.md)

Type extending YTNode

## Parameters

• **obj**: `T`[]

Array to be observed

## Returns

[`ObservedArray`](../type-aliases/ObservedArray.md)\<`T`\>

## Defined in

[src/parser/helpers.ts:433](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/helpers.ts#L433)
